BrokerState (Eclipse OpenMQ (tm), 5.1 API Specification)
Description: declaration: package: com.sun.messaging.jms.management.server, class: BrokerState

Package com.sun.messaging.jms.management.server

# Class BrokerState

java.lang.Object
com.sun.messaging.jms.management.server.BrokerState

All Implemented Interfaces:
  `Serializable`

public class BrokerState extends Object implements Serializable
Class containing information on broker states.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `BROKER_DOWN`
  The broker is down.
  `static final int`
  `INITIALIZING`
  The broker is initializing.
  `static final int`
  `OPERATING`
  A broker has started and is operating normally.
  `static final int`
  `QUIESCE_COMPLETE`
  The broker has finished quiescing.
  `static final int`
  `QUIESCE_STARTED`
  The broker has started to quiesce.
  `static final int`
  `SHUTDOWN_STARTED`
  The broker is starting to shutdown (either immediately or after a specific grace period) or restart
  `static final int`
  `TAKEOVER_COMPLETE`
  The broker has completed the takeover another broker's message store.
  `static final int`
  `TAKEOVER_FAILED`
  The broker has failed in the attempt to takeover another broker's message store.
  `static final int`
  `TAKEOVER_STARTED`
  The broker has started to takeover another broker's message store.
  `static final int`
  `UNKNOWN`
  Unknown broker state.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `toString(int state)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UNKNOWN

    public static final int UNKNOWN
    Unknown broker state.
    See Also:
      - Constant Field Values

  - ### OPERATING

    public static final int OPERATING
    A broker has started and is operating normally.
    See Also:
      - Constant Field Values

  - ### TAKEOVER_STARTED

    public static final int TAKEOVER_STARTED
    The broker has started to takeover another broker's message store. This applies to brokers that are part of a HA cluster.
    See Also:
      - Constant Field Values

  - ### TAKEOVER_COMPLETE

    public static final int TAKEOVER_COMPLETE
    The broker has completed the takeover another broker's message store. This applies to brokers that are part of a HA cluster.
    See Also:
      - Constant Field Values

  - ### TAKEOVER_FAILED

    public static final int TAKEOVER_FAILED
    The broker has failed in the attempt to takeover another broker's message store. This applies to brokers that are part of a HA cluster.
    See Also:
      - Constant Field Values

  - ### QUIESCE_STARTED

    public static final int QUIESCE_STARTED
    The broker has started to quiesce.
    See Also:
      - Constant Field Values

  - ### QUIESCE_COMPLETE

    public static final int QUIESCE_COMPLETE
    The broker has finished quiescing.
    See Also:
      - Constant Field Values

  - ### SHUTDOWN_STARTED

    public static final int SHUTDOWN_STARTED
    The broker is starting to shutdown (either immediately or after a specific grace period) or restart
    See Also:
      - Constant Field Values

  - ### BROKER_DOWN

    public static final int BROKER_DOWN
    The broker is down.
    See Also:
      - Constant Field Values

  - ### INITIALIZING

    public static final int INITIALIZING
    The broker is initializing.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### toString

    public static String toString(int state)